Last Comment Bug 760758 - de-ns-ify nsHTMLTableAccessible
: de-ns-ify nsHTMLTableAccessible
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla16
Assigned To: Mark Capella [:capella]
:
: alexander :surkov
Mentors:
Depends on:
Blocks: densifya11y
  Show dependency treegraph
 
Reported: 2012-06-01 19:36 PDT by alexander :surkov
Modified: 2012-06-08 04:22 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (v1) (55.99 KB, patch)
2012-06-06 13:15 PDT, Mark Capella [:capella]
surkov.alexander: review+
Details | Diff | Splinter Review

Description alexander :surkov 2012-06-01 19:36:02 PDT

    
Comment 1 Mark Capella [:capella] 2012-06-05 10:24:52 PDT
Are we moving this one from /html to /generic? Not sure of the thought here, some we've moved, some stayed in the /html folder ... this one has wrap files ...
Comment 2 alexander :surkov 2012-06-05 20:38:43 PDT
(In reply to Mark Capella [:capella] from comment #1)
> Are we moving this one from /html to /generic?

no

> Not sure of the thought here,
> some we've moved, some stayed in the /html folder

we move those classes to generic folder what are shared between different markup languages. nsHTMLTableAccessible is used for HTML table element only.
Comment 3 Mark Capella [:capella] 2012-06-06 13:15:52 PDT
Created attachment 630692 [details] [diff] [review]
Patch (v1)

Interesting patch .... unused class declaration in nsaccutils interfered with namespace effort ...
Comment 4 alexander :surkov 2012-06-06 19:57:29 PDT
Comment on attachment 630692 [details] [diff] [review]
Patch (v1)

Review of attachment 630692 [details] [diff] [review]:
-----------------------------------------------------------------

r=me, thank you

::: accessible/src/base/nsAccUtils.h
@@ +34,2 @@
>  {
>  public:

empty lines between
class nsAccUtils
and
{
public:
?

::: accessible/src/base/nsAccessibilityService.cpp
@@ +1660,5 @@
>    }
>  
>    if (nsCoreUtils::IsHTMLTableHeader(aContent)) {
> +    Accessible* accessible = new HTMLTableHeaderCellAccessibleWrap(aContent,
> +                                                                   aDoc);

keep on the same line?

::: accessible/src/html/nsHTMLTableAccessible.cpp
@@ +290,5 @@
>  }
>  
>  nsresult
> +HTMLTableCellAccessible::GetCellIndexes(PRInt32& aRowIndex,
> +                                        PRInt32& aColIndex)

on the same line pls

@@ +1118,5 @@
>  }
>  
>  nsresult
> +HTMLTableAccessible::AddRowOrColumnToSelection(PRInt32 aIndex,
> +                                               PRUint32 aTarget)

on same line pls

@@ +1208,5 @@
>  }
>  
>  nsresult
> +HTMLTableAccessible::GetCellAt(PRInt32 aRowIndex, PRInt32 aColIndex,
> +                               nsIDOMElement* &aCell)

*& aCell

@@ +1263,5 @@
>  }
>  
>  bool
> +HTMLTableAccessible::HasDescendant(const nsAString& aTagName,
> +                                   bool aAllowEmpty)

on same line

::: accessible/src/html/nsHTMLTableAccessible.h
@@ +86,5 @@
>  
> +class HTMLTableAccessible : public AccessibleWrap,
> +                            public xpcAccessibleTable,
> +                            public nsIAccessibleTable,
> +                            public mozilla::a11y::TableAccessible

no mozilla::a11y
Comment 5 Mark Capella [:capella] 2012-06-07 01:09:02 PDT
FYI, TRY build failing on mac platform
https://tbpl.mozilla.org/php/getParsedLog.php?id=12445199&tree=Try
pointing to two moz specific type defs
mac/AccessibleWrap.h:113

not sure what moz is up to here ... thinking of try changing nsaccessibilityservice.cpp @ 388 / 398 to mozilla::a11y:: specific refs will work ...
Comment 6 alexander :surkov 2012-06-07 01:16:27 PDT
(In reply to Mark Capella [:capella] from comment #5)
> FYI, TRY build failing on mac platform
> https://tbpl.mozilla.org/php/getParsedLog.php?id=12445199&tree=Try
> pointing to two moz specific type defs
> mac/AccessibleWrap.h:113

remove those from AccessibleWrap.h
Comment 7 Mark Capella [:capella] 2012-06-07 01:17:55 PDT
That was the other thought ... wasn't sure if it was safe .... will go that way and let you know ...
Comment 8 Mark Capella [:capella] 2012-06-07 03:46:01 PDT
That's got it ! :)

Full TRY push
https://tbpl.mozilla.org/?tree=Try&rev=1018b9055ce6
Comment 9 Mark Capella [:capella] 2012-06-07 06:02:51 PDT
https://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=bef0c6b570a2
Comment 10 Graeme McCutcheon [:graememcc] 2012-06-08 04:22:43 PDT
https://hg.mozilla.org/mozilla-central/rev/bef0c6b570a2

(Merged by Ed Morley)

Note You need to log in before you can comment on or make changes to this bug.